<?php
/*
 * ARI Image Slider
 *
 * @package		ARI Image Slider
 * @version		1.0.0
 * @author		ARI Soft
 * @copyright	Copyright (c) 2010 www.ari-soft.com. All rights reserved
 * @license		GNU/GPL (http://www.gnu.org/copyleft/gpl.html)
 * 
 */

(defined('_JEXEC') && defined('ARI_FRAMEWORK_LOADED')) or die;

AriKernel::import('ImageSlider.Lightbox.LightboxEngine');

class ArimagnificpopupImageSliderEngine extends AriImageSliderLightboxEngine 
{
	function preCheck()
	{
		$extPath = JPATH_ROOT . DS . 'libraries' . DS . 'arimagnificpopup' . DS . 'loader.php';
		if (!@file_exists($extPath))
		{
			$mainframe = JFactory::getApplication();

			$mainframe->enqueueMessage('<b>ARI Image Slider</b>: "ARI Magnific Popup" extension isn\'t installed.');
			
			return false;
		}

        $plugin = JPluginHelper::getPlugin('system', 'arimagnificpopup');
        if (!$plugin) {
            $mainframe = JFactory::getApplication();

			$mainframe->enqueueMessage('<b>ARI Image Slider</b>: "System - ARI Magnific Popup" plugin isn\'t installed or disabled.');

            return false;
        }
		
        require_once $extPath;

		return true;
	}

    function init($group) {
        $plugin = JPluginHelper::getPlugin('system', 'arimagnificpopup');

        $pluginParams = new JRegistry($plugin->params);
        $pluginParams->set('opt_gallery_enabled', true);
        $pluginParams->set('opt_mainClass', 'mfp-ari-image-slider');

        \Arimagnificpopup\Helper::initInstance('.' . $group, $pluginParams);
    }
	
	function modifyAttrs($lnkAttrs, $imgAttrs, $group, $params)
	{
		if ($group)
			$lnkAttrs['rel'] = $group;
			
		if (empty($lnkAttrs['class']))
			$lnkAttrs['class'] = '';
		else
			$lnkAttrs['class'] .= ' ';
			
		$lnkAttrs['class'] .= $group;

		$link = $lnkAttrs['href'];
        $isLink = $this->isLink($link);

        $lnkAttrs['class'] .= ' mfp-' . ($isLink ? 'iframe' : 'image');

		return parent::modifyAttrs($lnkAttrs, $imgAttrs, $group, $params);
	}
}